Bug 812780 - template creation is aborted in certain circumstances
Summary: template creation is aborted in certain circumstances
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 3.1
Assignee: Eli Mesika
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-16 08:30 UTC by Ilanit Stein
Modified: 2012-08-09 08:03 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-09 08:02:52 UTC
oVirt Team: ---


Attachments (Terms of Use)
vdsm log (1.87 MB, application/x-compressed-tar)
2012-04-16 08:30 UTC, Ilanit Stein
no flags Details
engine log (45.79 KB, application/x-compressed-tar)
2012-04-16 08:39 UTC, Ilanit Stein
no flags Details

Description Ilanit Stein 2012-04-16 08:30:34 UTC
Created attachment 577659 [details]
vdsm log

Description of problem:

Create template from VM fail on nfs\iscsi.

From vdsm log:

5d36e87b-307f-4537-bb68-24ae1fa7a76e::ERROR::2012-04-16 11:07:00,093::task::853::TaskManager.Task::(_setError) Task=`5d36e87b-307f-4537-bb68-24ae1fa7a76e`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 861, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/storage/task.py", line 320, in run
    return self.cmd(*self.argslist, **self.argsdict)
  File "/usr/share/vdsm/storage/securable.py", line 63, in wrapper
    return f(self, *args, **kwargs)
  File "/usr/share/vdsm/storage/sp.py", line 1623, in copyImage
    volType, volFormat, preallocate, postZero, force)
  File "/usr/share/vdsm/storage/image.py", line 875, in copy
    raise se.CopyImageError("src image=%s, dst image=%s: msg=%s" % (srcImgUUID, dstImgUUID, str(e)))
CopyImageError: low level Image copy failed: ('src image=14692706-f31f-49b9-90b7-fde07c9812c2, dst image=49ec9480-077f-4fba-9398-7d8b3c0da76d: msg=Action was stopped: ()',)
5d36e87b-307f-4537-bb68-24ae1fa7a76e::DEBUG::2012-04-16 11:07:00,094::task::872::TaskManager.Task::(_run) Task=`5d36e87b-307f-4537-bb68-24ae1fa7a76e`::Task._run: 5d36e87b-307f-4537-bb68-24ae1fa7a76e () {} failed - stopping task

Comment 1 Ilanit Stein 2012-04-16 08:32:17 UTC
TestBlocker because this bug fail all tests involving template creation.

Comment 2 Ilanit Stein 2012-04-16 08:39:24 UTC
Created attachment 577662 [details]
engine log

Comment 3 Igor Lvovsky 2012-04-16 09:26:25 UTC
It's not vdsm issue.
backend stop the Copy Image task before it finished

Thread-447::INFO::2012-04-16 10:35:55,077::logUtils::37::dispatcher::(wrapper) Run and protect: stopTask(taskID='e5074688-d566-4d52-abf8-689faebdc354', spUUID=None, options=None)


Eli, should know about this issue.

Comment 4 Eli Mesika 2012-04-17 09:14:51 UTC
Not related to vdsm
actually this is a result of NPE in backend

from the attached log:
org.ovirt.engine.core.bll.AddVmTemplateCommand throw exception: java.lang.NullPointerException
at org.ovirt.engine.core.bll.utils.VmDeviceUtils.copyVmDevices(VmDeviceUtils.java:87) [engine-bll.jar:]

solution was pushed at:
http://gerrit.ovirt.org/#change,3555,patchset=2

However, there is another bug related to this 813199
	
Solution to this bug was pushed to gerrit pushed upstream 

http://gerrit.ovirt.org/#change,3602

Comment 5 Itamar Heim 2012-08-09 08:02:52 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Comment 6 Itamar Heim 2012-08-09 08:03:49 UTC
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/


Note You need to log in before you can comment on or make changes to this bug.